
package de.ivu.elect.business.personenpruefung.control;

import de.ivu.elect.business.wahlausschuss.entity.Wahlausschussmitglied;

public class WahlausschussmitgliedPruefungAttributeChangedChecker
    extends
      AbstractPersonenPruefungAttributeChangedChecker<Wahlausschussmitglied> {

  public WahlausschussmitgliedPruefungAttributeChangedChecker() {
    super();
  }

  @Override
  protected boolean bestimmePersonenregisterAbgleichAttributeChanged(Wahlausschussmitglied wahlausschussmitglied) {
    return super.bestimmePersonenregisterAbgleichAttributeChanged(wahlausschussmitglied)
        || wahlausschussmitglied.hasChangedWahlausschussrolle();
  }

  @Override
  protected boolean bestimmeDublettenAttributeChanged(Wahlausschussmitglied wahlausschussmitglied) {
    return super.bestimmeDublettenAttributeChanged(wahlausschussmitglied) || wahlausschussmitglied.hasChangedWahlausschussrolle();
  }

  @Override
  protected boolean bestimmeWahlrechtAttributeChanged(Wahlausschussmitglied wahlausschussmitglied) {
    return super.bestimmeWahlrechtAttributeChanged(wahlausschussmitglied) || wahlausschussmitglied.hasChangedWahlausschussrolle();
  }
}
